Name:           perl-Nmap-Parser
Version:        1.31
Release:        3%{?dist}
Summary:        Parse nmap scan data with perl
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Nmap-Parser/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AP/APERSAUD/Nmap-Parser-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Storable 2 used nowhere
BuildRequires:  perl(XML::Twig) >= 3.16
# Tests:
BuildRequires:  perl(blib)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(XML::Twig) >= 3.16

%{?perl_default_filter}
# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(XML::Twig\\)$

%description
This module implements a interface to the information contained in an
nmap scan. It is implemented by parsing the XML scan data that is
generated by nmap. This will enable anyone who utilizes nmap to quickly
create fast and robust security scripts that utilize the powerful port
scanning abilities of nmap.

%prep
%setup -q -n Nmap-Parser-%{version}
# fix end-of-line encoding and permission
sed -i 's/\r//' tools/pdev.pl
chmod 0644 tools/pdev.pl

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README.md tools
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.31-2
- Perl 5.22 rebuild

* Wed Nov 26 2014 Petr Pisar <ppisar@redhat.com> - 1.31-1
- 1.31 bump

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.21-10
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 25 2013 Petr Pisar <ppisar@redhat.com> - 1.21-7
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 18 2012 Petr Pisar <ppisar@redhat.com> - 1.21-4
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.21-2
- Perl mass rebuild

* Wed May 25 2011 Iain Arnell <iarnell@gmail.com> 1.21-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.20-3
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.20-2
- Mass rebuild with perl-5.12.0

* Sun Mar 07 2010 Iain Arnell <iarnell@gmail.com> 1.20-1
- update to latest upstream version

* Mon Mar 01 2010 Iain Arnell <iarnell@gmail.com> 1.19-4
- specfile cleanup prompted by BZ#569399
- license changed from GPLv2+ to MIT (since 1.11)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.19-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 03 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org>
- New upstream release
- Fix typo in manual install
- Don't use dos2unix, rely on sed magic instead

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 03 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 1.16-2
- New release, 1.16
- Add data files

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.05-5
Rebuild for new perl

* Mon Sep 24 2007 Jesse Keating <jkeating@redhat.com> - 1.05-4
- Bump release for upgrade path

* Wed May 09 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.05-3
- Move end-of-line fix to %%prep
- Update dos2unix BR

* Tue May 08 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.05-2
- Don't package Manifest
- Fix permissions
- Fix end-of-line encoding
- Add missing BRs

* Wed May 02 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.05-1
- Initial build
